export default function createPubSub() {
    const subscribers = Object.create(null);
    let nextId = 0;
    function subscribe(subscriber) {
        const id = nextId++;
        subscribers[id] = subscriber;
        return function unsubscribe() {
            delete subscribers[id];
        };
    }
    function publish(event) {
        for (const id in subscribers) {
            subscribers[id](event);
        }
    }
    return {
        publish,
        subscribe,
    };
}
